org.apache.cassandra.net

## Enum MessagingService.Verb

- java.lang.Object
- - java.lang.Enum<MessagingService.Verb>
  - - org.apache.cassandra.net.MessagingService.Verb

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MessagingService.Verb>

Enclosing class:
  MessagingService

    public static enum MessagingService.Verb
    extends java.lang.Enum<MessagingService.Verb>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`_TRACE`
`BATCH_REMOVE`
`BATCH_STORE`
`BOOTSTRAP_TOKEN` Deprecated.
`COUNTER_MUTATION`
`DEFINITIONS_ANNOUNCE` Deprecated.
`DEFINITIONS_UPDATE`
`ECHO`
`GOSSIP_DIGEST_ACK`
`GOSSIP_DIGEST_ACK2`
`GOSSIP_DIGEST_SYN`
`GOSSIP_SHUTDOWN`
`HINT`
`INDEX_SCAN` Deprecated.
`INTERNAL_RESPONSE`
`JOIN` Deprecated.
`MIGRATION_REQUEST`
`MUTATION`
`PAGED_RANGE` Deprecated.
`PAXOS_COMMIT`
`PAXOS_PREPARE`
`PAXOS_PROPOSE`
`RANGE_SLICE`
`READ`
`READ_REPAIR`
`REPAIR_MESSAGE`
`REPLICATION_FINISHED`
`REQUEST_RESPONSE`
`SCHEMA_CHECK`
`SNAPSHOT`
`STREAM_REPLY` Deprecated.
`STREAM_REQUEST` Deprecated.
`STREAMING_REPAIR_REQUEST` Deprecated.
`STREAMING_REPAIR_RESPONSE` Deprecated.
`TREE_REQUEST` Deprecated.
`TREE_RESPONSE` Deprecated.
`TRUNCATE`
`UNUSED_1`
`UNUSED_2`
`UNUSED_3`
`UNUSED_4`
`UNUSED_5`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MessagingService.Verb` `convertForMessagingServiceVersion(MessagingService.Verb verb, int version)`
`long` `getTimeout()`
`static MessagingService.Verb` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MessagingService.Verb[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MUTATION

    public static final MessagingService.Verb MUTATION

#### HINT

    public static final MessagingService.Verb HINT

#### READ_REPAIR

    public static final MessagingService.Verb READ_REPAIR

#### READ

    public static final MessagingService.Verb READ

#### REQUEST_RESPONSE

    public static final MessagingService.Verb REQUEST_RESPONSE

#### BATCH_STORE

    public static final MessagingService.Verb BATCH_STORE

#### BATCH_REMOVE

    public static final MessagingService.Verb BATCH_REMOVE

#### STREAM_REPLY

    @Deprecated
    public static final MessagingService.Verb STREAM_REPLY

Deprecated.

#### STREAM_REQUEST

    @Deprecated
    public static final MessagingService.Verb STREAM_REQUEST

Deprecated.

#### RANGE_SLICE

    public static final MessagingService.Verb RANGE_SLICE

#### BOOTSTRAP_TOKEN

    @Deprecated
    public static final MessagingService.Verb BOOTSTRAP_TOKEN

Deprecated.

#### TREE_REQUEST

    @Deprecated
    public static final MessagingService.Verb TREE_REQUEST

Deprecated.

#### TREE_RESPONSE

    @Deprecated
    public static final MessagingService.Verb TREE_RESPONSE

Deprecated.

#### JOIN

    @Deprecated
    public static final MessagingService.Verb JOIN

Deprecated.

#### GOSSIP_DIGEST_SYN

    public static final MessagingService.Verb GOSSIP_DIGEST_SYN

#### GOSSIP_DIGEST_ACK

    public static final MessagingService.Verb GOSSIP_DIGEST_ACK

#### GOSSIP_DIGEST_ACK2

    public static final MessagingService.Verb GOSSIP_DIGEST_ACK2

#### DEFINITIONS_ANNOUNCE

    @Deprecated
    public static final MessagingService.Verb DEFINITIONS_ANNOUNCE

Deprecated.

#### DEFINITIONS_UPDATE

    public static final MessagingService.Verb DEFINITIONS_UPDATE

#### TRUNCATE

    public static final MessagingService.Verb TRUNCATE

#### SCHEMA_CHECK

    public static final MessagingService.Verb SCHEMA_CHECK

#### INDEX_SCAN

    @Deprecated
    public static final MessagingService.Verb INDEX_SCAN

Deprecated.

#### REPLICATION_FINISHED

    public static final MessagingService.Verb REPLICATION_FINISHED

#### INTERNAL_RESPONSE

    public static final MessagingService.Verb INTERNAL_RESPONSE

#### COUNTER_MUTATION

    public static final MessagingService.Verb COUNTER_MUTATION

#### STREAMING_REPAIR_REQUEST

    @Deprecated
    public static final MessagingService.Verb STREAMING_REPAIR_REQUEST

Deprecated.

#### STREAMING_REPAIR_RESPONSE

    @Deprecated
    public static final MessagingService.Verb STREAMING_REPAIR_RESPONSE

Deprecated.

#### SNAPSHOT

    public static final MessagingService.Verb SNAPSHOT

#### MIGRATION_REQUEST

    public static final MessagingService.Verb MIGRATION_REQUEST

#### GOSSIP_SHUTDOWN

    public static final MessagingService.Verb GOSSIP_SHUTDOWN

#### _TRACE

    public static final MessagingService.Verb _TRACE

#### ECHO

    public static final MessagingService.Verb ECHO

#### REPAIR_MESSAGE

    public static final MessagingService.Verb REPAIR_MESSAGE

#### PAXOS_PREPARE

    public static final MessagingService.Verb PAXOS_PREPARE

#### PAXOS_PROPOSE

    public static final MessagingService.Verb PAXOS_PROPOSE

#### PAXOS_COMMIT

    public static final MessagingService.Verb PAXOS_COMMIT

#### PAGED_RANGE

    @Deprecated
    public static final MessagingService.Verb PAGED_RANGE

Deprecated.

#### UNUSED_1

    public static final MessagingService.Verb UNUSED_1

#### UNUSED_2

    public static final MessagingService.Verb UNUSED_2

#### UNUSED_3

    public static final MessagingService.Verb UNUSED_3

#### UNUSED_4

    public static final MessagingService.Verb UNUSED_4

#### UNUSED_5

    public static final MessagingService.Verb UNUSED_5

### Method Detail

#### values

    public static MessagingService.Verb[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MessagingService.Verb c : MessagingService.Verb.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MessagingService.Verb valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### convertForMessagingServiceVersion

    public static MessagingService.Verb convertForMessagingServiceVersion(MessagingService.Verb verb,
                                                                          int version)

#### getTimeout

    public long getTimeout()